Bug 1941995 - fix backwards incompatible trigger api changes in osp1.4
Summary: fix backwards incompatible trigger api changes in osp1.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1944349
TreeView+ depends on / blocked
 
Reported: 2021-03-23 11:35 UTC by Karthik Jeeyar
Modified: 2021-09-30 05:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1944349 2002151 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:55:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
fixed backwards incompatible trigger api changes in osp1.4 for 4.8 (78.13 KB, image/png)
2021-04-01 06:43 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8437 0 None open Bug 1941995: fix backwards incompatible trigger api changes 2021-03-23 11:36:33 UTC
Red Hat Knowledge Base (Solution) 6372661 0 None None None 2021-09-30 05:48:27 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:26 UTC

Description Karthik Jeeyar 2021-03-23 11:35:16 UTC
Description of problem:
Current logic of adding trigger from UI using template.name in Eventlisteners is a BREAKING change in 1.4 Pipelines operator, therefore update the logic to support new trigger Api and use triggerRef while creating the Trigger resources.



Version-Release number of selected component (if applicable):
OSP 1.4 pipelines operator

How reproducible:
Always

Steps to Reproduce:
1. In pipeline list page, click on the kebab action
2. Fill the Add Trigger form and submit.

Actual results:
Trigger fails due to the breaking API changes.

Expected results:
Trigger should be created successfully.

Additional info:

Comment 2 spathak@redhat.com 2021-04-01 06:43:15 UTC
Created attachment 1768202 [details]
fixed backwards incompatible trigger api changes in osp1.4 for 4.8

Comment 3 spathak@redhat.com 2021-04-01 06:46:45 UTC
Verified on build version: 4.8.0-0.nightly-2021-03-31-211319
Browser: Google Chrome 89

Comment 6 errata-xmlrpc 2021-07-27 22:55:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.